﻿using System;
using System.Collections.Generic;
using System.Web;
using Telerik.Web.UI;

/// <summary>
/// Summary description for AppointmentList
/// </summary>
/// 
public class AppointmentList
{
    const string AppointmentsKey = "Scheduler.GettingStarted_Apts";
    public static List<AppointmentInfo> AllData()
    {
        List<AppointmentInfo> sessApts =
             HttpContext.Current.Session[AppointmentsKey]
                 as List<AppointmentInfo>;
        if (sessApts == null)
        {
            sessApts = new List<AppointmentInfo>();
            HttpContext.Current.Session[AppointmentsKey] = sessApts;
        }
        return sessApts;
    }
    public static void InsertAppointment(
        string Subject, string AppointmentColor, DateTime Start, DateTime End, string Description , 
        string Reminder, int UserID,
        string RecurrenceRule, string RecurrenceParentID, string TimeZoneID)
    {
        List<AppointmentInfo> sessApts = AllData();
        AppointmentInfo ai = new AppointmentInfo(Subject, Start, End);
        ai.AppointmentColor = AppointmentColor;
        ai.Description = Description;
        ai.RecurrenceRule = RecurrenceRule;
        ai.RecurrenceParentID = RecurrenceParentID;
        ai.UserID = UserID;
		ai.TimeZoneID = TimeZoneID;
        ai.Reminder = Reminder;
        sessApts.Add(ai);
    }
    public static void DeleteAppointment(string ID)
    {
        List<AppointmentInfo> sessApts = AllData();
        sessApts.Remove(FindById(ID, sessApts));
    }
    public static void UpdateAppointment(
        string ID, string Subject, string AppointmentColor, DateTime Start, DateTime End,
        string RecurrenceRule, string RecurrenceParentID,string Description, 
        string Reminder, string TimeZoneID, int UserID)
    {
        List<AppointmentInfo> sessApts = AllData();
        AppointmentInfo ai = FindById(ID, sessApts);
        ai.Subject = Subject;
        ai.AppointmentColor = AppointmentColor;
        ai.Start = Start;
        ai.End = End;
        ai.Description = Description;
        ai.RecurrenceRule = RecurrenceRule;
        ai.RecurrenceParentID = RecurrenceParentID;
        ai.Reminder = Reminder;
		ai.TimeZoneID = TimeZoneID;
        ai.UserID = UserID;
    }
    public static AppointmentInfo FindById(string ID, List<AppointmentInfo> sessApts)
    {
        foreach (AppointmentInfo ai in sessApts)
        {
            if (ai.ID == ID)
            {
                return ai;
            }
        }
        return null;
    }
} 
